<div class="ui grid">
    <!-- Levi deo - Kartica sa podacima o korisniku (slika, ime, mejl)-->
    <div class="four wide column">
        <div class="ui card">
            <!-- U kartici imamo dva dela - 'img' koji je iznad, i 'content' koji je ispod -->
            <div class="ui dimmer" [ngClass]="{active: shouldDisplayUserForm}">
                <div class="ui text loader">Loading...</div>
            </div>
            
            <div class="img">
                <img [src]="user.imgUrl" alt="User's profile picture">
            </div>

            <div class="content">
                <!-- U 'content' delu imamo opet dva dela - 'header' je naslov kartice, a 'description' neki detaljniji opis -->
                <p class="header">{{ user.name }}</p>
                <p class="description"> {{ user.email }} </p>
            </div>
        </div>
    </div>

    <!-- Desni deo - formular za izmenu korisnickih podataka -->
    <div class="twelve wide column">
        <button class="ui button" (click)="onChangeInfo()"> Change profile info </button>
        
        <form class="ui form" *ngIf="shouldDisplayUserForm; else changeUserInfo">
            <label>Name</label>
            <input type="text" name="name" [value]="user.name" (change)="onChangeName($event)"/>

            <label>Email</label>
            <input type="email" name="email" [value]="user.email" (change)="onChangeEmail($event)">
        
            <button class="ui button" type="button" (click)="onSaveChanges()">Save changes</button>
        </form>

        <ng-template #changeUserInfo>
            <p> Click above to change user info.</p>
        </ng-template>
    </div>
</div>
